{% extends 'authed_base.html' %}

{% block main %}
    <div class="full-column">
        {% if create %}
            <h2>Create Prefix</h2>
        {% else %}
            <h2>Update Prefix</h2>
        {% endif %}
        {% if bad_file %}
            <span class="red-print">Conflict: The prefix already exists</span>
        {% endif %}
        <form action={{ "/" + selected_page }} target="_self" method="POST" class="logo_form">
            <label for="cidr">CIDR</label>
            <input type="text" id="cidr" name="cidr" value="{{ cidr }}"/>
            <label for="cc">Country Code</label>
            <input type="text" id="cc" name="cc" value="{{ cc }}"/>
            <label for="rir">RIR</label>
            <input type="text" id="rir" name="rir" value="{{ rir }}"/>
            <label for="asn">ASN</label>
            <input type="text" id="asn" name="asn" value="{{ asn }}"/>
            <label for="as_name">AS-Name</label>
            <input type="text" id="as_name" name="as_name" value="{{ as_name }}"/>
            <label for="long">Longitude</label>
            <input type="number" step="0.00000001" id="long" name="long" value="{{ long }}"/>
            <label for="lat">Latitude</label>
            <input type="number" step="0.00000001" id="lat" name="lat" value="{{ lat }}"/>
            <label for="radius">Radius</label>
            <input type="number" step="0.00000001" id="radius" name="radius" value="{{ radius }}"/>
            {% if create %}
                <button>Create Prefix</button>
            {% else %}
                <button>Update Prefix</button>
            {% endif %}
        </form>
    </div>
{% endblock %}